WordPress.org

Support

Support » Plugins and Hacks » Shadowbox JS » [Resolved] [Plugin: Shadowbox JS] Weird conflict with GravityForms 1.6.4.3.1

[Resolved] [Plugin: Shadowbox JS] Weird conflict with GravityForms 1.6.4.3.1

  • Just updated GravityForms to 1.6.4.3.1 (seriously, wtf).

    When Shadowbox is activated forms can not be edited or saved in the admin. I get this bug in chrome inspector.

    Uncaught SyntaxError: Unexpected token < tw-sack.js:1

    It’s completely possible this might be something on GF’s end, I just wanted to post the issue here in case others run into it as well.

    http://wordpress.org/extend/plugins/shadowbox-js/

Viewing 2 replies - 1 through 2 (of 2 total)
  • Plugin Author Matt Martz

    @sivel

    That is strange, I cannot imagine why Shadowbox would cause any issue. The JS output in the admin for shadowbox should only be output on the Shadowbox admin page, and nowhere else. And the shadowbox plugin doesn’t make use of tw-sack.js…

    I don’t have access to GravityForms, so I’m not sure it will be easy for me to debug from my end.

    The only suggestion I can give is to enable SCRIPT_DEBUG, so that you can get a better idea of where the error is happening in tw-sack.js, as opposed to just saying it’s on line 1

    Matt – It’s definitely something on GF end. Even though SB was triggering the weird error, I have since found a few other plugins that when activated at the same time as GF will break things.

    But with a release number like 1.6.4.3.1 I guess that is what happens.

    Thanks for the quick response. I have SB as a default plugin on my wp-prep script 🙂
    https://github.com/jaredatch/wp-prep

Viewing 2 replies - 1 through 2 (of 2 total)
  • The topic ‘[Resolved] [Plugin: Shadowbox JS] Weird conflict with GravityForms 1.6.4.3.1’ is closed to new replies.
Skip to toolbar